XF Test Bench 3.3

Public Member Functions | Static Public Member Functions | Static Protected Member Functions | List of all members
TestFactory02 Class Reference
Second Test Project

`#include <testfactory02.h>`

Collaboration diagram for TestFactory02:

## Public Member Functions
| TestFactory02 ()
| Constructor.

## Static Public Member Functions
static void | initialize ()
| Initializes the factory.
static void | build ()
| Creates components and initializes relations.

## Static Protected Member Functions
static StateMachine02 & | getStaticTask ()
| Returns reference to static instance of StateMachine02.
static StateMachine02 & | getDynamicTask ()
| Returns reference to dynamically allocated instance of StateMachine02.

## Detailed Description

Factory creating all objects used in test2.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test2/src/app/testfactory02.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test2/src/app/testfactory02.cpp